%global _empty_manifest_terminate_build 0
Name:		python-pyasn1-modules
Version:	0.3.0
Release:	1
Summary:	A collection of ASN.1-based protocols modules.
License:	BSD-2-Clause
URL:		https://github.com/etingof/pyasn1-modules
Source0:	https://files.pythonhosted.org/packages/3b/e4/7dec823b1b5603c5b3c51e942d5d9e65efd6ff946e713a325ed4146d070f/pyasn1_modules-0.3.0.tar.gz
BuildArch:	noarch

%description
A collection of ASN.1 modules expressed in form of pyasn1 classes. Includes protocols PDUs definition (SNMP, LDAP etc.) and various data structures (X.509, PKCS etc.).

%package -n python3-pyasn1-modules
Summary:	A collection of ASN.1-based protocols modules.
Provides:	python-pyasn1-modules = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-pyasn1
%description -n python3-pyasn1-modules
A collection of ASN.1 modules expressed in form of pyasn1 classes. Includes protocols PDUs definition (SNMP, LDAP etc.) and various data structures (X.509, PKCS etc.).

%package help
Summary:	Development documents and examples for pyasn1-modules
Provides:	python3-pyasn1-modules-doc
%description help
A collection of ASN.1 modules expressed in form of pyasn1 classes. Includes protocols PDUs definition (SNMP, LDAP etc.) and various data structures (X.509, PKCS etc.).

%prep
%autosetup -n pyasn1_modules-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyasn1-modules -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 04 2023 wubijie <wubijie@kylinos.cn> - 0.3.0-1
- Update package to version 0.3.0

* Thu Nov 3 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.2.8-2
- Rebuild for next release

* Fri Oct 09 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
